# -*- coding: utf-8 -*-

from PyQt5.QtCore import QCoreApplication

_translate = QCoreApplication.translate

table_headers = None
yes_no = None
r_yes_no = None
names = None

def init():
    global table_headers
    table_headers = {
        "name": _translate("LateralContribution", "Name"),
        "value": _translate("LateralContribution", "Value")
    }

    # Used to translate user parameter with value yes or no
    global yes_no
    yes_no = {
        "yes": _translate("SolverParameters", "Yes"),
        "no": _translate("SolverParameters", "No"),
        "y": _translate("SolverParameters", "Y"),
        "n": _translate("SolverParameters", "N"),
    }

    # Reverse
    global r_yes_no
    r_yes_no = {
        _translate("SolverParameters", "Yes"): "yes",
        _translate("SolverParameters", "No"): "no",
        _translate("SolverParameters", "Y"): "y",
        _translate("SolverParameters", "N"): "n",
    }

    global names
    names = {
        "mage_time_step": _translate("SolverParameters", "Time step in second")
    }
